Brivio API reference
Purchases

List customs import declarations (DVI), newest declaration date first (scope: purchases:read)

GET
/purchases/import-declarations

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer
status?string
Value in"DRAFT""CONFIRMED""CANCELLED"
from?string

Declaration date ≥

Formatdate
to?string

Declaration date ≤

Formatdate

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/purchases/import-declarations"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "number": "string",      "mrn": "string",      "customs_office": "string",      "status": "DRAFT",      "regime": "PAID_AT_CUSTOMS",      "nir_document_id": "5f67c172-1c22-4e3c-ba52-1ea879efe7bc",      "supplier_id": "3cb1e20c-c6c9-4e71-ba66-399c468f697c",      "declaration_date": "2019-08-24",      "currency": "string",      "customs_exchange_rate": "string",      "invoice_value_currency": "string",      "customs_value": "string",      "customs_duty": "string",      "excise": "string",      "customs_commission": "string",      "accessory_costs": "string",      "vat_rate": "string",      "vat_base": "string",      "vat_amount": "string",      "journal_entry_id": "6652a24b-55f1-423a-bf69-8d8966f301ed",      "capitalized_amount": "string",      "expensed_amount": "string",      "notes": "string",      "confirmed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}